<script>

  // Dimensions
  const width = 800;
  const height = 100;
  const margin = { top: 20, right: 5, bottom: 5, left: 5 };
  const innerWidth = width - margin.left - margin.right;
  const innerHeight = height - margin.top - margin.bottom;

  // Array
  const values = [
    { x: 2, y: 1, category: "cat1" },
    { x: 4, y: 2, category: "cat3" },
    { x: 6, y: 1, category: "cat2" },
    { x: 7, y: 3, category: "cat3" },
    { x: 9, y: 1, category: "cat2" }
  ];

  // Import modules
  import {scaleLinear} from 'd3-scale';
  import {scaleOrdinal} from 'd3-scale';
  import {schemeDark2} from 'd3-scale-chromatic';


  // Define the scales
  let xScale=scaleLinear().domain([1,10]).range([0,innerWidth]);
  let yScale=scaleLinear().domain([1,3]).range([innerHeight-margin.top-margin.bottom,0]);
  let colourScale=scaleOrdinal(schemeDark2);

</script>

<svg viewBox="0 0 {width} {height}">
  <g transform="translate({margin.left},{margin.top})">
    {#each values as points}
    <line x1={xScale(points.x)} x2={xScale(points.x)} y1={innerHeight} y2={yScale(points.y)}/>
    <circle cx={xScale(points.x)}
              cy={yScale(points.y)}
              r=5
              fill={colourScale(points.category)}/>
      <text x={xScale(points.x)} y={yScale(points.y)-10}>{points.y}</text>
    {/each}
    <line x1=0 x2={innerWidth} y1={innerHeight} y2={innerHeight}/>
  </g>
</svg>

<style>

  line {
    stroke: black;
    stroke-width: 1px;
  }
  
  text {
    text-anchor: middle;
    font-size: small;
  }
</style>
